### File

`packages/ecl/components/ecl-table/ecl-table-sort-button.component.ts`

### Description

Sort button component used inside sortable table headers.

Applies ECL styling for table sort arrows and provides accessibility label for screen readers.

### Extends

`ECLBaseDirective`

### Metadata

selector | `button[eclTableSortButton]`
imports | `EUI_ECL_ICON` `AsyncPipe`
templateUrl | `./ecl-table-sort-button.component.html`

### Index

###### Properties
ariaLabel Public eclThemeService
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
attr.aria-label class
###### Accessors
cssClasses

### Constructor

`constructor(eclThemeService: EclThemeService)`
ECL theme service instance used internally for theming logic. Parameters :
Name | Type | Optional
eclThemeService | `EclThemeService` | No

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

attr.aria-label
Type : `string`
Default value : `'Sort table'`
Accessibility label describing the button's function. This value is bound to the `aria-label` attribute.

class
Type : `string`
CSS classes applied to the host element. Includes ECL base table sort arrow styling.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

ariaLabel
Type : `string`
Default value : `'Sort table'`
Decorators : `@HostBinding('attr.aria-label')`
Accessibility label describing the button's function. This value is bound to the `aria-label` attribute.

Public eclThemeService
Type : `EclThemeService`

### Accessors

cssClasses
get `cssClasses()`
CSS classes applied to the host element. Includes ECL base table sort arrow styling. Returns : `string`

# results matching ""

# No results matching ""